Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/ServiceClients/HiveServiceClient.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/ServiceClients/HiveServiceClient.cs	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/ServiceClients/HiveServiceClient.cs	(revision 6743)
@@ -59,6 +59,4 @@
 
     public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
-
-
   }
 
@@ -77,5 +75,5 @@
 
     [System.Runtime.Serialization.OptionalFieldAttribute()]
-    private System.DateTime LastJobDataUpdateField;
+    private System.DateTime LastTaskDataUpdateField;
 
     [System.Runtime.Serialization.OptionalFieldAttribute()]
@@ -115,12 +113,12 @@
 
     [System.Runtime.Serialization.DataMemberAttribute()]
-    public System.DateTime LastJobDataUpdate {
-      get {
-        return this.LastJobDataUpdateField;
-      }
-      set {
-        if ((this.LastJobDataUpdateField.Equals(value) != true)) {
-          this.LastJobDataUpdateField = value;
-          this.RaisePropertyChanged("LastJobDataUpdate");
+    public System.DateTime LastTaskDataUpdate {
+      get {
+        return this.LastTaskDataUpdateField;
+      }
+      set {
+        if ((this.LastTaskDataUpdateField.Equals(value) != true)) {
+          this.LastTaskDataUpdateField = value;
+          this.RaisePropertyChanged("LastTaskDataUpdate");
         }
       }
@@ -1577,6 +1575,6 @@
     System.Guid GetResourceId(string resourceName);
 
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetJobsByResourceId", ReplyAction = "http://tempuri.org/IHiveService/GetJobsByResourceIdResponse")]
-    System.Collections.Generic.List<HeuristicLab.Clients.Hive.Task> GetJobsByResourceId(System.Guid resourceId);
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetTasksByResourceId", ReplyAction = "http://tempuri.org/IHiveService/GetTasksByResourceIdResponse")]
+    System.Collections.Generic.List<HeuristicLab.Clients.Hive.Task> GetTasksByResourceId(System.Guid resourceId);
 
     [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/TriggerEventManager", ReplyAction = "http://tempuri.org/IHiveService/TriggerEventManagerResponse")]
@@ -1601,78 +1599,78 @@
     System.Guid GetUserIdByUsername(string username);
 
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/AddTask", ReplyAction = "http://tempuri.org/IHiveService/AddTaskResponse")]
+    System.Guid AddTask(HeuristicLab.Clients.Hive.Task task, HeuristicLab.Clients.Hive.TaskData taskData, System.Collections.Generic.List<System.Guid> resourceIds);
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/AddChildTask", ReplyAction = "http://tempuri.org/IHiveService/AddChildTaskResponse")]
+    System.Guid AddChildTask(System.Guid parentTaskId, HeuristicLab.Clients.Hive.Task task, HeuristicLab.Clients.Hive.TaskData taskData);
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetTask", ReplyAction = "http://tempuri.org/IHiveService/GetTaskResponse")]
+    HeuristicLab.Clients.Hive.Task GetTask(System.Guid taskId);
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetTasks", ReplyAction = "http://tempuri.org/IHiveService/GetTasksResponse")]
+    System.Collections.Generic.List<HeuristicLab.Clients.Hive.Task> GetTasks();
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetLightweightTasks", ReplyAction = "http://tempuri.org/IHiveService/GetLightweightTasksResponse")]
+    System.Collections.Generic.List<HeuristicLab.Clients.Hive.LightweightTask> GetLightweightTasks(System.Collections.Generic.List<System.Guid> taskIds);
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetLightweightChildTasks", ReplyAction = "http://tempuri.org/IHiveService/GetLightweightChildTasksResponse")]
+    System.Collections.Generic.List<HeuristicLab.Clients.Hive.LightweightTask> GetLightweightChildTasks(System.Nullable<System.Guid> parentTaskId, bool recursive, bool includeParent);
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetLightweightJobTasks", ReplyAction = "http://tempuri.org/IHiveService/GetLightweightJobTasksResponse")]
+    System.Collections.Generic.List<HeuristicLab.Clients.Hive.LightweightTask> GetLightweightJobTasks(System.Guid jobId);
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetTaskData", ReplyAction = "http://tempuri.org/IHiveService/GetTaskDataResponse")]
+    HeuristicLab.Clients.Hive.TaskData GetTaskData(System.Guid taskId);
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/UpdateTask", ReplyAction = "http://tempuri.org/IHiveService/UpdateTaskResponse")]
+    void UpdateTask(HeuristicLab.Clients.Hive.Task taskDto);
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/UpdateTaskData", ReplyAction = "http://tempuri.org/IHiveService/UpdateTaskDataResponse")]
+    void UpdateTaskData(HeuristicLab.Clients.Hive.Task taskDto, HeuristicLab.Clients.Hive.TaskData taskDataDto);
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/DeleteTask", ReplyAction = "http://tempuri.org/IHiveService/DeleteTaskResponse")]
+    void DeleteTask(System.Guid taskId);
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/DeleteChildTasks", ReplyAction = "http://tempuri.org/IHiveService/DeleteChildTasksResponse")]
+    void DeleteChildTasks(System.Guid parentTaskId);
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/UpdateTaskState", ReplyAction = "http://tempuri.org/IHiveService/UpdateTaskStateResponse")]
+    HeuristicLab.Clients.Hive.Task UpdateTaskState(System.Guid taskId, HeuristicLab.Clients.Hive.TaskState taskState, System.Nullable<System.Guid> slaveId, System.Nullable<System.Guid> userId, string exception);
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/StopTask", ReplyAction = "http://tempuri.org/IHiveService/StopTaskResponse")]
+    void StopTask(System.Guid taskId);
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/PauseTask", ReplyAction = "http://tempuri.org/IHiveService/PauseTaskResponse")]
+    void PauseTask(System.Guid taskId);
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/RestartTask", ReplyAction = "http://tempuri.org/IHiveService/RestartTaskResponse")]
+    void RestartTask(System.Guid taskId);
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetJob", ReplyAction = "http://tempuri.org/IHiveService/GetJobResponse")]
+    HeuristicLab.Clients.Hive.Job GetJob(System.Guid id);
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetJobs", ReplyAction = "http://tempuri.org/IHiveService/GetJobsResponse")]
+    System.Collections.Generic.List<HeuristicLab.Clients.Hive.Job> GetJobs();
+
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetAllJobs", ReplyAction = "http://tempuri.org/IHiveService/GetAllJobsResponse")]
+    System.Collections.Generic.List<HeuristicLab.Clients.Hive.Job> GetAllJobs();
+
     [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/AddJob", ReplyAction = "http://tempuri.org/IHiveService/AddJobResponse")]
-    System.Guid AddJob(HeuristicLab.Clients.Hive.Task job, HeuristicLab.Clients.Hive.TaskData jobData, System.Collections.Generic.List<System.Guid> resourceIds);
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/AddChildJob", ReplyAction = "http://tempuri.org/IHiveService/AddChildJobResponse")]
-    System.Guid AddChildJob(System.Guid parentJobId, HeuristicLab.Clients.Hive.Task job, HeuristicLab.Clients.Hive.TaskData jobData);
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetJob", ReplyAction = "http://tempuri.org/IHiveService/GetJobResponse")]
-    HeuristicLab.Clients.Hive.Task GetJob(System.Guid jobId);
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetJobs", ReplyAction = "http://tempuri.org/IHiveService/GetJobsResponse")]
-    System.Collections.Generic.List<HeuristicLab.Clients.Hive.Task> GetJobs();
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetLightweightJobs", ReplyAction = "http://tempuri.org/IHiveService/GetLightweightJobsResponse")]
-    System.Collections.Generic.List<HeuristicLab.Clients.Hive.LightweightTask> GetLightweightJobs(System.Collections.Generic.List<System.Guid> jobIds);
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetLightweightChildJobs", ReplyAction = "http://tempuri.org/IHiveService/GetLightweightChildJobsResponse")]
-    System.Collections.Generic.List<HeuristicLab.Clients.Hive.LightweightTask> GetLightweightChildJobs(System.Nullable<System.Guid> parentJobId, bool recursive, bool includeParent);
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetLightweightExperimentJobs", ReplyAction = "http://tempuri.org/IHiveService/GetLightweightExperimentJobsResponse")]
-    System.Collections.Generic.List<HeuristicLab.Clients.Hive.LightweightTask> GetLightweightExperimentJobs(System.Guid experimentId);
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetJobData", ReplyAction = "http://tempuri.org/IHiveService/GetJobDataResponse")]
-    HeuristicLab.Clients.Hive.TaskData GetJobData(System.Guid jobId);
+    System.Guid AddJob(HeuristicLab.Clients.Hive.Job jobDto);
 
     [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/UpdateJob", ReplyAction = "http://tempuri.org/IHiveService/UpdateJobResponse")]
-    void UpdateJob(HeuristicLab.Clients.Hive.Task jobDto);
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/UpdateJobData", ReplyAction = "http://tempuri.org/IHiveService/UpdateJobDataResponse")]
-    void UpdateJobData(HeuristicLab.Clients.Hive.Task jobDto, HeuristicLab.Clients.Hive.TaskData jobDataDto);
+    void UpdateJob(HeuristicLab.Clients.Hive.Job jobDto);
 
     [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/DeleteJob", ReplyAction = "http://tempuri.org/IHiveService/DeleteJobResponse")]
-    void DeleteJob(System.Guid jobId);
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/DeleteChildJobs", ReplyAction = "http://tempuri.org/IHiveService/DeleteChildJobsResponse")]
-    void DeleteChildJobs(System.Guid parentJobId);
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/UpdateJobState", ReplyAction = "http://tempuri.org/IHiveService/UpdateJobStateResponse")]
-    HeuristicLab.Clients.Hive.Task UpdateJobState(System.Guid jobId, HeuristicLab.Clients.Hive.TaskState jobState, System.Nullable<System.Guid> slaveId, System.Nullable<System.Guid> userId, string exception);
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/StopJob", ReplyAction = "http://tempuri.org/IHiveService/StopJobResponse")]
-    void StopJob(System.Guid jobId);
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/PauseJob", ReplyAction = "http://tempuri.org/IHiveService/PauseJobResponse")]
-    void PauseJob(System.Guid jobId);
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/RestartJob", ReplyAction = "http://tempuri.org/IHiveService/RestartJobResponse")]
-    void RestartJob(System.Guid jobId);
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetHiveExperiment", ReplyAction = "http://tempuri.org/IHiveService/GetHiveExperimentResponse")]
-    HeuristicLab.Clients.Hive.Job GetHiveExperiment(System.Guid id);
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetHiveExperiments", ReplyAction = "http://tempuri.org/IHiveService/GetHiveExperimentsResponse")]
-    System.Collections.Generic.List<HeuristicLab.Clients.Hive.Job> GetHiveExperiments();
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetAllHiveExperiments", ReplyAction = "http://tempuri.org/IHiveService/GetAllHiveExperimentsResponse")]
-    System.Collections.Generic.List<HeuristicLab.Clients.Hive.Job> GetAllHiveExperiments();
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/AddHiveExperiment", ReplyAction = "http://tempuri.org/IHiveService/AddHiveExperimentResponse")]
-    System.Guid AddHiveExperiment(HeuristicLab.Clients.Hive.Job hiveExperimentDto);
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/UpdateHiveExperiment", ReplyAction = "http://tempuri.org/IHiveService/UpdateHiveExperimentResponse")]
-    void UpdateHiveExperiment(HeuristicLab.Clients.Hive.Job hiveExperimentDto);
-
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/DeleteHiveExperiment", ReplyAction = "http://tempuri.org/IHiveService/DeleteHiveExperimentResponse")]
-    void DeleteHiveExperiment(System.Guid hiveExperimentId);
+    void DeleteJob(System.Guid JobId);
 
     [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GrantPermission", ReplyAction = "http://tempuri.org/IHiveService/GrantPermissionResponse")]
-    void GrantPermission(System.Guid hiveExperimentId, System.Guid grantedUserId, HeuristicLab.Clients.Hive.Permission permission);
+    void GrantPermission(System.Guid jobId, System.Guid grantedUserId, HeuristicLab.Clients.Hive.Permission permission);
 
     [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/RevokePermission", ReplyAction = "http://tempuri.org/IHiveService/RevokePermissionResponse")]
     void RevokePermission(System.Guid hiveExperimentId, System.Guid grantedUserId);
 
-    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetHiveExperimentPermissions", ReplyAction = "http://tempuri.org/IHiveService/GetHiveExperimentPermissionsResponse")]
-    System.Collections.Generic.List<HeuristicLab.Clients.Hive.JobPermission> GetHiveExperimentPermissions(System.Guid hiveExperimentId);
+    [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/GetJobPermissions", ReplyAction = "http://tempuri.org/IHiveService/GetJobPermissionsResponse")]
+    System.Collections.Generic.List<HeuristicLab.Clients.Hive.JobPermission> GetJobPermissions(System.Guid jobId);
 
     [System.ServiceModel.OperationContractAttribute(Action = "http://tempuri.org/IHiveService/IsAllowedPrivileged", ReplyAction = "http://tempuri.org/IHiveService/IsAllowedPrivilegedResponse")]
@@ -1780,6 +1778,6 @@
     }
 
-    public System.Collections.Generic.List<HeuristicLab.Clients.Hive.Task> GetJobsByResourceId(System.Guid resourceId) {
-      return base.Channel.GetJobsByResourceId(resourceId);
+    public System.Collections.Generic.List<HeuristicLab.Clients.Hive.Task> GetTasksByResourceId(System.Guid resourceId) {
+      return base.Channel.GetTasksByResourceId(resourceId);
     }
 
@@ -1812,94 +1810,94 @@
     }
 
-    public System.Guid AddJob(HeuristicLab.Clients.Hive.Task job, HeuristicLab.Clients.Hive.TaskData jobData, System.Collections.Generic.List<System.Guid> resourceIds) {
-      return base.Channel.AddJob(job, jobData, resourceIds);
-    }
-
-    public System.Guid AddChildJob(System.Guid parentJobId, HeuristicLab.Clients.Hive.Task job, HeuristicLab.Clients.Hive.TaskData jobData) {
-      return base.Channel.AddChildJob(parentJobId, job, jobData);
-    }
-
-    public HeuristicLab.Clients.Hive.Task GetJob(System.Guid jobId) {
-      return base.Channel.GetJob(jobId);
-    }
-
-    public System.Collections.Generic.List<HeuristicLab.Clients.Hive.Task> GetJobs() {
+    public System.Guid AddTask(HeuristicLab.Clients.Hive.Task task, HeuristicLab.Clients.Hive.TaskData taskData, System.Collections.Generic.List<System.Guid> resourceIds) {
+      return base.Channel.AddTask(task, taskData, resourceIds);
+    }
+
+    public System.Guid AddChildTask(System.Guid parentTaskId, HeuristicLab.Clients.Hive.Task task, HeuristicLab.Clients.Hive.TaskData taskData) {
+      return base.Channel.AddChildTask(parentTaskId, task, taskData);
+    }
+
+    public HeuristicLab.Clients.Hive.Task GetTask(System.Guid taskId) {
+      return base.Channel.GetTask(taskId);
+    }
+
+    public System.Collections.Generic.List<HeuristicLab.Clients.Hive.Task> GetTasks() {
+      return base.Channel.GetTasks();
+    }
+
+    public System.Collections.Generic.List<HeuristicLab.Clients.Hive.LightweightTask> GetLightweightTasks(System.Collections.Generic.List<System.Guid> taskIds) {
+      return base.Channel.GetLightweightTasks(taskIds);
+    }
+
+    public System.Collections.Generic.List<HeuristicLab.Clients.Hive.LightweightTask> GetLightweightChildTasks(System.Nullable<System.Guid> parentTaskId, bool recursive, bool includeParent) {
+      return base.Channel.GetLightweightChildTasks(parentTaskId, recursive, includeParent);
+    }
+
+    public System.Collections.Generic.List<HeuristicLab.Clients.Hive.LightweightTask> GetLightweightJobTasks(System.Guid jobId) {
+      return base.Channel.GetLightweightJobTasks(jobId);
+    }
+
+    public HeuristicLab.Clients.Hive.TaskData GetTaskData(System.Guid taskId) {
+      return base.Channel.GetTaskData(taskId);
+    }
+
+    public void UpdateTask(HeuristicLab.Clients.Hive.Task taskDto) {
+      base.Channel.UpdateTask(taskDto);
+    }
+
+    public void UpdateTaskData(HeuristicLab.Clients.Hive.Task taskDto, HeuristicLab.Clients.Hive.TaskData taskDataDto) {
+      base.Channel.UpdateTaskData(taskDto, taskDataDto);
+    }
+
+    public void DeleteTask(System.Guid taskId) {
+      base.Channel.DeleteTask(taskId);
+    }
+
+    public void DeleteChildTasks(System.Guid parentTaskId) {
+      base.Channel.DeleteChildTasks(parentTaskId);
+    }
+
+    public HeuristicLab.Clients.Hive.Task UpdateTaskState(System.Guid taskId, HeuristicLab.Clients.Hive.TaskState taskState, System.Nullable<System.Guid> slaveId, System.Nullable<System.Guid> userId, string exception) {
+      return base.Channel.UpdateTaskState(taskId, taskState, slaveId, userId, exception);
+    }
+
+    public void StopTask(System.Guid taskId) {
+      base.Channel.StopTask(taskId);
+    }
+
+    public void PauseTask(System.Guid taskId) {
+      base.Channel.PauseTask(taskId);
+    }
+
+    public void RestartTask(System.Guid taskId) {
+      base.Channel.RestartTask(taskId);
+    }
+
+    public HeuristicLab.Clients.Hive.Job GetJob(System.Guid id) {
+      return base.Channel.GetJob(id);
+    }
+
+    public System.Collections.Generic.List<HeuristicLab.Clients.Hive.Job> GetJobs() {
       return base.Channel.GetJobs();
     }
 
-    public System.Collections.Generic.List<HeuristicLab.Clients.Hive.LightweightTask> GetLightweightJobs(System.Collections.Generic.List<System.Guid> jobIds) {
-      return base.Channel.GetLightweightJobs(jobIds);
-    }
-
-    public System.Collections.Generic.List<HeuristicLab.Clients.Hive.LightweightTask> GetLightweightChildJobs(System.Nullable<System.Guid> parentJobId, bool recursive, bool includeParent) {
-      return base.Channel.GetLightweightChildJobs(parentJobId, recursive, includeParent);
-    }
-
-    public System.Collections.Generic.List<HeuristicLab.Clients.Hive.LightweightTask> GetLightweightExperimentJobs(System.Guid experimentId) {
-      return base.Channel.GetLightweightExperimentJobs(experimentId);
-    }
-
-    public HeuristicLab.Clients.Hive.TaskData GetJobData(System.Guid jobId) {
-      return base.Channel.GetJobData(jobId);
-    }
-
-    public void UpdateJob(HeuristicLab.Clients.Hive.Task jobDto) {
+    public System.Collections.Generic.List<HeuristicLab.Clients.Hive.Job> GetAllJobs() {
+      return base.Channel.GetAllJobs();
+    }
+
+    public System.Guid AddJob(HeuristicLab.Clients.Hive.Job jobDto) {
+      return base.Channel.AddJob(jobDto);
+    }
+
+    public void UpdateJob(HeuristicLab.Clients.Hive.Job jobDto) {
       base.Channel.UpdateJob(jobDto);
     }
 
-    public void UpdateJobData(HeuristicLab.Clients.Hive.Task jobDto, HeuristicLab.Clients.Hive.TaskData jobDataDto) {
-      base.Channel.UpdateJobData(jobDto, jobDataDto);
-    }
-
-    public void DeleteJob(System.Guid jobId) {
-      base.Channel.DeleteJob(jobId);
-    }
-
-    public void DeleteChildJobs(System.Guid parentJobId) {
-      base.Channel.DeleteChildJobs(parentJobId);
-    }
-
-    public HeuristicLab.Clients.Hive.Task UpdateJobState(System.Guid jobId, HeuristicLab.Clients.Hive.TaskState jobState, System.Nullable<System.Guid> slaveId, System.Nullable<System.Guid> userId, string exception) {
-      return base.Channel.UpdateJobState(jobId, jobState, slaveId, userId, exception);
-    }
-
-    public void StopJob(System.Guid jobId) {
-      base.Channel.StopJob(jobId);
-    }
-
-    public void PauseJob(System.Guid jobId) {
-      base.Channel.PauseJob(jobId);
-    }
-
-    public void RestartJob(System.Guid jobId) {
-      base.Channel.RestartJob(jobId);
-    }
-
-    public HeuristicLab.Clients.Hive.Job GetHiveExperiment(System.Guid id) {
-      return base.Channel.GetHiveExperiment(id);
-    }
-
-    public System.Collections.Generic.List<HeuristicLab.Clients.Hive.Job> GetHiveExperiments() {
-      return base.Channel.GetHiveExperiments();
-    }
-
-    public System.Collections.Generic.List<HeuristicLab.Clients.Hive.Job> GetAllHiveExperiments() {
-      return base.Channel.GetAllHiveExperiments();
-    }
-
-    public System.Guid AddHiveExperiment(HeuristicLab.Clients.Hive.Job hiveExperimentDto) {
-      return base.Channel.AddHiveExperiment(hiveExperimentDto);
-    }
-
-    public void UpdateHiveExperiment(HeuristicLab.Clients.Hive.Job hiveExperimentDto) {
-      base.Channel.UpdateHiveExperiment(hiveExperimentDto);
-    }
-
-    public void DeleteHiveExperiment(System.Guid hiveExperimentId) {
-      base.Channel.DeleteHiveExperiment(hiveExperimentId);
-    }
-
-    public void GrantPermission(System.Guid hiveExperimentId, System.Guid grantedUserId, HeuristicLab.Clients.Hive.Permission permission) {
-      base.Channel.GrantPermission(hiveExperimentId, grantedUserId, permission);
+    public void DeleteJob(System.Guid JobId) {
+      base.Channel.DeleteJob(JobId);
+    }
+
+    public void GrantPermission(System.Guid jobId, System.Guid grantedUserId, HeuristicLab.Clients.Hive.Permission permission) {
+      base.Channel.GrantPermission(jobId, grantedUserId, permission);
     }
 
@@ -1908,6 +1906,6 @@
     }
 
-    public System.Collections.Generic.List<HeuristicLab.Clients.Hive.JobPermission> GetHiveExperimentPermissions(System.Guid hiveExperimentId) {
-      return base.Channel.GetHiveExperimentPermissions(hiveExperimentId);
+    public System.Collections.Generic.List<HeuristicLab.Clients.Hive.JobPermission> GetJobPermissions(System.Guid jobId) {
+      return base.Channel.GetJobPermissions(jobId);
     }
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/ServiceClients/LightweightTask.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/ServiceClients/LightweightTask.cs	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/ServiceClients/LightweightTask.cs	(revision 6743)
@@ -42,5 +42,5 @@
       this.State = job.State;
       this.Command = job.Command;
-      this.LastJobDataUpdate = job.LastJobDataUpdate;
+      this.LastTaskDataUpdate = job.LastTaskDataUpdate;
     }
 
@@ -52,5 +52,5 @@
       this.State = original.State;
       this.Command = original.Command;
-      this.LastJobDataUpdate = original.LastJobDataUpdate;
+      this.LastTaskDataUpdate = original.LastTaskDataUpdate;
     }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/TaskDownloader.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/TaskDownloader.cs	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/TaskDownloader.cs	(revision 6743)
@@ -72,18 +72,18 @@
     
     public void StartAsync() {
-      foreach (Guid jobId in taskIds) {
-        Task job = ServiceLocator.Instance.CallHiveService(s => s.GetJob(jobId));
+      foreach (Guid taskId in taskIds) {
+        Task task = ServiceLocator.Instance.CallHiveService(s => s.GetTask(taskId));
 
-        taskDownloader.DownloadJob(job,
+        taskDownloader.DownloadTask(task,
           (localJob, itemJob) => {
             if (localJob != null && itemJob != null) {
-              HiveTask hiveJob;
+              HiveTask hiveTask;
               if (itemJob is OptimizerTask) {
-                hiveJob = new OptimizerHiveTask((OptimizerTask)itemJob);
+                hiveTask = new OptimizerHiveTask((OptimizerTask)itemJob);
               } else {
-                hiveJob = new HiveTask(itemJob, true);
+                hiveTask = new HiveTask(itemJob, true);
               }
-              hiveJob.Task = localJob;
-              this.results.Add(localJob.Id, hiveJob);
+              hiveTask.Task = localJob;
+              this.results.Add(localJob.Id, hiveTask);
             }
           });
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive/3.3/HeuristicLab.Hive-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive/3.3/HeuristicLab.Hive-3.3.csproj	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive/3.3/HeuristicLab.Hive-3.3.csproj	(revision 6743)
@@ -77,7 +77,4 @@
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Core-3.3.dll</HintPath>
     </Reference>
-    <Reference Include="HeuristicLab.Persistence-3.3">
-      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Persistence-3.3.dll</HintPath>
-    </Reference>
     <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive/3.3/HeuristicLabHivePlugin.cs.frame
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive/3.3/HeuristicLabHivePlugin.cs.frame	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive/3.3/HeuristicLabHivePlugin.cs.frame	(revision 6743)
@@ -9,6 +9,5 @@
   [PluginFile("HeuristicLab.Hive-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Common", "3.3")]
-  [PluginDependency("HeuristicLab.Core", "3.3")]
-  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]  
   public class HeuristicLabHivePlugin : PluginBase {
   }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.HiveEngine/3.3/HiveEngine.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.HiveEngine/3.3/HiveEngine.cs	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.HiveEngine/3.3/HiveEngine.cs	(revision 6743)
@@ -252,5 +252,5 @@
           var engineHiveJob = new EngineHiveTask(jobs[i], parentScopeClone);
           engineHiveJob.Task.Priority = this.Priority;
-          refreshableJob.HiveJobs.Add(engineHiveJob);
+          refreshableJob.HiveTasks.Add(engineHiveJob);
 
           // shuffle random variable to avoid the same random sequence in each operation; todo: does not yet work (it cannot find the random variable)
@@ -259,5 +259,5 @@
             random.Reset(random.Next());
         }
-        HiveClient.StartExperiment((e) => { log.LogException(e); }, refreshableJob, cancellationToken);
+        HiveClient.StartJob((e) => { log.LogException(e); }, refreshableJob, cancellationToken);
 
         // do polling until experiment is finished and all jobs are downloaded
@@ -269,5 +269,5 @@
         log.LogMessage(string.Format("{0} finished (TotalExecutionTime: {1}).", refreshableJob.ToString(), refreshableJob.ExecutionTime));
 
-        var failedJobs = refreshableJob.HiveJobs.Where(x => x.Task.State == TaskState.Failed);
+        var failedJobs = refreshableJob.HiveTasks.Where(x => x.Task.State == TaskState.Failed);
         if (failedJobs.Count() > 0) {
           throw new HiveEngineException("Task failed: " + failedJobs.First().Task.StateLog.Last().Exception);
@@ -276,5 +276,5 @@
         // get scopes
         int j = 0;
-        foreach (var hiveJob in refreshableJob.HiveJobs) {
+        foreach (var hiveJob in refreshableJob.HiveTasks) {
           var scope = ((IAtomicOperation)((EngineTask)hiveJob.ItemTask).InitialOperation).Scope;
           scopes[j++] = scope;
@@ -315,5 +315,5 @@
 
     private void ClearData(RefreshableJob refreshableJob) {
-      var jobs = refreshableJob.GetAllHiveJobs();
+      var jobs = refreshableJob.GetAllHiveTasks();
       foreach (var job in jobs) {
         job.ClearData();
@@ -321,7 +321,7 @@
     }
 
-    private void DeleteHiveExperiment(Guid hiveExperimentId) {
+    private void DeleteHiveExperiment(Guid jobId) {
       HiveClient.TryAndRepeat(() => {
-        ServiceLocator.Instance.CallHiveService(s => s.DeleteHiveExperiment(hiveExperimentId));
+        ServiceLocator.Instance.CallHiveService(s => s.DeleteJob(jobId));
       }, 5, string.Format("Could not delete jobs"));
     }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/HeuristicLab.Services.Hive.DataAccess-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/HeuristicLab.Services.Hive.DataAccess-3.3.csproj	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/HeuristicLab.Services.Hive.DataAccess-3.3.csproj	(revision 6743)
@@ -71,13 +71,4 @@
   </PropertyGroup>
   <ItemGroup>
-    <Reference Include="HeuristicLab.Common-3.3">
-      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Common-3.3.dll</HintPath>
-    </Reference>
-    <Reference Include="HeuristicLab.Core-3.3">
-      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Core-3.3.dll</HintPath>
-    </Reference>
-    <Reference Include="HeuristicLab.Persistence-3.3">
-      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Persistence-3.3.dll</HintPath>
-    </Reference>
     <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
